ST_GeneratePoints
Prev | 8.14. Geometry Processing | Next

## Name

ST_GeneratePoints — Generates random points contained in a Polygon or MultiPolygon.

## Synopsis

`geometry ST_GeneratePoints(` g geometry , npoints integer `)`;

`geometry ST_GeneratePoints(` geometry g , integer npoints , integer seed `)`;

## Description

ST_GeneratePoints generates a given number of pseudo-random points which lie within the input area. The optional `seed` is used to regenerate a deterministic sequence of points, and must be greater than zero.

Availability: 2.3.0

Enhanced: 3.0.0, added seed parameter

## Examples

Generated 12 Points overlaid on top of original polygon using a random seed value 1996

    SELECT ST_GeneratePoints(geom, 12, 1996)
    FROM (
        SELECT ST_Buffer(
            ST_GeomFromText(
            'LINESTRING(50 50,150 150,150 50)'),
            10, 'endcap=round join=round') AS geom
    ) AS s;

Prev | Up | Next
ST_FilterByM | Home | ST_GeometricMedian